Bug 617943 - Review Request: geronimo-jaxrpc - Java EE: Java API for XML Remote Procedure Call v1.1
Review Request: geronimo-jaxrpc - Java EE: Java API for XML Remote Procedure ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On: 617941 617942 618268
Blocks: 616250
  Show dependency treegraph
 
Reported: 2010-07-25 02:56 EDT by Spike
Modified: 2010-08-04 05:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-04 05:40:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sochotni: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Spike 2010-07-25 02:56:30 EDT
Spec URL: http://spike.fedorapeople.org/geronimo-jaxrpc/geronimo-jaxrpc.spec
SRPM URL: http://spike.fedorapeople.org/geronimo-jaxrpc/geronimo-jaxrpc-2.1-1.fc14.src.rpm
Description: 
This package contains the core JAX-RPC APIs for the client programming model.
Comment 1 Stanislav Ochotnicky 2010-08-02 10:23:23 EDT
OK: rpmlint must be run on every package. The output should be posted in the review.
geronimo-jaxrpc.noarch: W: non-conffile-in-etc /etc/maven/fragments/geronimo-jaxrpc
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.  .
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license. 

But please contact upstream about that 2nd license that is not valid
for this package either

OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: All independent sub-packages have License of their own (if it exists)
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK: All filenames in rpm packages must be valid UTF-8.

Other:
 * please have "servlet = 2.5" as a BR instead of simple
 "servlet". This way we'll get rid of tomcat5 dependencies faster.

That is however not a packaging issue, although it would be really
good to fix. Package is APPROVED.
Comment 2 Spike 2010-08-02 10:45:11 EDT
(In reply to comment #1)
> Other:
>  * please have "servlet = 2.5" as a BR instead of simple
>  "servlet". This way we'll get rid of tomcat5 dependencies faster.

Fixed.

Spec and SRPM:
http://spike.fedorapeople.org/geronimo-jaxrpc/geronimo-jaxrpc.spec
http://spike.fedorapeople.org/geronimo-jaxrpc/geronimo-jaxrpc-2.1-2.fc15.src.rpm
Comment 3 Spike 2010-08-02 10:45:43 EDT
New Package CVS Request
=======================
Package Name: geronimo-jaxrpc
Short Description: Java EE: Java API for XML Remote Procedure Call v1.1
Owners: spike
Branches: 
InitialCC:
Comment 4 Kevin Fenzi 2010-08-02 12:36:03 EDT
GIT done (by process-git-requests).
Comment 5 Spike 2010-08-02 13:31:17 EDT
Package Change Request
======================
Package Name: geronimo-jaxrpc
New Branches: F-14
Owners: spike
InitialCC:

Since fedpkg still won't let me import the SRPM (see #619979), I additionally need the F-14 branch. Sorry, could have thought of this in the first place.
Comment 6 Kevin Fenzi 2010-08-03 13:52:30 EDT
GIT done (by process-git-requests).
Comment 7 Spike 2010-08-04 05:40:18 EDT
Package built, closing.

Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=2377536

Note You need to log in before you can comment on or make changes to this bug.